# Get Pipeline Metadata Field Values

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Metadata Field Values"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/meta/{field_name}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns metadata field values for a specified key across all files of a pipeline's connected index.

Specify the metadata field key and the pipeline and workspace names to retrieve the corresponding values for
each file.
For multi-index pipelines, the first found index's metadata is searched.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline whose metadata field values you want to display.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline whose metadata field values you want to display.","title":"Pipeline Name","type":"string"}},{"description":"The name of the metadata field to search in. Use dot notation to search nested fields.","in":"path","name":"field_name","required":true,"schema":{"description":"The name of the metadata field to search in. Use dot notation to search nested fields.","title":"Field Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The query you want to use to search through metadata. You can use wildcards in the query, for example, '*query*' to list all values which contain the term 'query'.","in":"query","name":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The query you want to use to search through metadata. You can use wildcards in the query, for example, '*query*' to list all values which contain the term 'query'.","title":"Query"}},{"description":"How many entries do you want to display?","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"How many entries do you want to display?","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter the offset for the pagination. Note that the results are 0-indexed which means that with 'after=0', you will skip the first element.","in":"query","name":"after","required":false,"schema":{"default":-1,"description":"Enter the offset for the pagination. Note that the results are 0-indexed which means that with 'after=0', you will skip the first element.","title":"After","type":"integer"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"description":"A list of fields that you searched for.","items":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"format":"date-time","type":"string"}]},"title":"Field Search Results","type":"array"},"has_more":{"description":"Indicates whether the paginated result has more results.","title":"Has More","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total Number of Results","type":"integer"}},"required":["data","has_more","total"],"title":"PipelineFieldSearchResult","type":"object"}}},"description":"Metadata for the pipeline's index."},"400":{"description":"We couldn't find the metadata field possibly because it doesn't support text search.Use the 'GET '/workspaces/{workspace_name}/pipelines/{pipeline_name}/meta' endpoint to to check if this field supports text search."},"404":{"description":"The pipeline you specified doesn't exist in this workspace. Check if the pipeline name is correct."},"412":{"description":"This pipeline's index doesn't exist or isn't enabled. Ensure the index connected to this pipeline exists and is enabled."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
